Package logilab :: Package common :: Module decorators :: Class wproperty

[frames] | no frames]

# Class wproperty

source code

    object --+
             |
            wproperty

    Simple descriptor expecting to take a modifier function as first argument
    and looking for a _<function name> to retrieve the attribute.

Instance Methods

__init__(self, setfunc) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__set__(self, obj, value) | source code

__get__(self, obj, cls) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, setfunc)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)